GEARMAN_WORKER_SET_LOG_FN(3)

NAME
gearman_worker_set_log_fn - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

    void gearman_worker_set_log_fn(gearman_worker_st <#c.gearman_worker_st> *worker, gearman_log_fn <#c.gearman_log_fn> *function, void *context, gearman_verbose_t <#c.gearman_verbose_t> verbose)

DESCRIPTION

gearman_worker_set_log_fn() is similar to gearman_client_set_log_fn() <#c.gearman_client_set_log_fn> but it used with workers, aka, gearman_worker_st <#c.gearman_worker_st>. gearman_worker_set_log_fn() allows you to register a callback that will be passed all error messages that are givin to the worker.

See gearman_log_fn <#c.gearman_log_fn> for a description of the callback.

See gearman_verbose_t <#c.gearman_verbose_t> for more information on logging levels.

RETURN VALUE

None

HOME

To find out more information please check: <http://gearman.info/>

SEE ALSO

gearmand(8) libgearman(3) gearman_client_set_log_fn(3) gearman_log_fn gearman_verbose_t

Author
Data Differential http://www.datadifferential.com/

Copyright
2011-2014, Data Differential, http://www.datadifferential.com/